Package org.apache.solr.client.solrj.request

# Enum Class RoutedAliasTypes

java.lang.Object
java.lang.Enum<RoutedAliasTypes>
org.apache.solr.client.solrj.request.RoutedAliasTypes

All Implemented Interfaces:
  `Serializable`, `Comparable<RoutedAliasTypes>`, `java.lang.constant.Constable`

public enum RoutedAliasTypes extends Enum<RoutedAliasTypes>
Types of Routed Alias supported.

Routed Alias collections have a naming pattern of XYZ where X is the alias name, Y is the separator prefix and Z is the data driven value distinguishing the bucket.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CATEGORY`
`DIMENSIONAL`
`TIME`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`getSeparatorPrefix()`
`static RoutedAliasTypes`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RoutedAliasTypes[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TIME

public static final RoutedAliasTypes TIME

### CATEGORY

public static final RoutedAliasTypes CATEGORY

### DIMENSIONAL

public static final RoutedAliasTypes DIMENSIONAL

## Method Details

### values

public static RoutedAliasTypes[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RoutedAliasTypes valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getSeparatorPrefix

public abstract String getSeparatorPrefix()